<back to all web services

CommentsCountGetRequest

The following routes are available for this service:
GET/RestApi/comments-api/comments/count

export class CommentsCountGetRequest
{
    public ThreadKey: string[];
    public Status: string[];

    public constructor(init?: Partial<CommentsCountGetRequest>) { (Object as any).assign(this, init); }
}

export class CommentResponse
{
    public Key: string;
    public Name: string;
    public Message: string;
    public DateCreated: string;
    public ProfilePictureUrl: string;
    public ProfilePictureThumbnailUrl: string;
    public Status: string;
    public Email: string;
    public ThreadKey: string;
    public AuthorIpAddress: string;
    public CustomData: string;
    public Rating?: number;

    public constructor(init?: Partial<CommentResponse>) { (Object as any).assign(this, init); }
}

export class CollectionResponse<T>
{
    public TotalCount: number;
    public Items: CommentResponse[];

    public constructor(init?: Partial<CollectionResponse<T>>) { (Object as any).assign(this, init); }
}

TypeScript CommentsCountGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/comments-api/comments/count HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"TotalCount":0}